---
title: productID
slug: Web/API/BluetoothDevice/productID
tags:
  - API
  - Bluetooth
  - BluetoothDevice
  - Non-standard
  - Obsolete
  - Property
  - Reference
  - Web Bluetooth API
  - productID
---
<div>{{APIRef("Bluetooth API")}}{{Non-standard_Header}}{{Obsolete_Header}}</div>

<p>The <strong><code>BluetoothDevice.productID</code></strong> read-only property returns the 16-bit Product ID field in the <code>pnp_id</code> characteristic in the <code>device_information</code> service.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var productID = <em>instanceOfBluetoothDevice</em>.productID</pre>

<h3 id="Returns">Returns</h3>

<p>The 16-bit Product ID field.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.BluetoothDevice.productID")}}</p>
</div>
